USE [Database]

IF OBJECT_ID('[Procedures].[delete_price_history_record]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[delete_price_history_record];
GO
CREATE PROCEDURE [Procedures].[delete_price_history_record]
  @price_history_record_id AS INT
AS
  DELETE FROM [Tables].[price_history_records]
  WHERE [id] = @price_history_record_id;
GO